package com.bcxin.ins.third.build.yangguang.yggc;

import com.bcxin.ins.third.build.yangguang.util.MakeUp;
import com.google.common.collect.Lists;

import java.util.List;

/**
 * 保单信息 ----> 客户信息
 * Created by Apple on 2017/7/19.
 */
public class PolicyCust {
    private String idNo; //证件号码
    private String birthday; //出生日期
    private String idType; //证件类型
    private String sex; //性别
    private String email; //电子邮箱
    private String custID; //客户编号 , 这个我们自己定义50个字符内，0-9a-zA-Z //TODO 客户阳光工程 客户编号必须唯一 每次投保
    private String age; //年龄
    private String benefScale; //受益比例
    private String relateItemKindNo; //被保险人关联标的  和分户序号相等
    private String custName; //客户名称
    private String mobile; //手机
    private String custType; //客户类别：T为投保人，B为被保人，S为受益人，H为户主被保人

    public static List<PolicyCust> getDemo(){
        List<PolicyCust> l = Lists.newArrayList();
        l.add(new PolicyCust("demo"));
        return l;
    }

    public PolicyCust(){}
    private PolicyCust(String demo){
        this.idNo = "512501197203035172";
        this.birthday = "";
        this.idType = "1";
        this.sex = "";
        this.email = "";
//        this.custID = "BXBHW1111";
        this.custID = MakeUp.makeUpCustID();
        this.age = "";
        this.benefScale = "100";
        this.relateItemKindNo = "1";
        this.custName = "刘祖全";
        this.mobile = "";
        this.custType = "B";
    }

    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getCustID() {
        return custID;
    }

    public void setCustID(String custID) {
        this.custID = custID;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getBenefScale() {
        return benefScale;
    }

    public void setBenefScale(String benefScale) {
        this.benefScale = benefScale;
    }

    public String getRelateItemKindNo() {
        return relateItemKindNo;
    }

    public void setRelateItemKindNo(String relateItemKindNo) {
        this.relateItemKindNo = relateItemKindNo;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }
}
